<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     local_aatplugin
 * @category    string
 * @copyright   2024 Joseph Larochelle <larochellejo@hotmail.com>, Richard Jacklin <rijacklin1@gmail.com>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'AAT Export Utility';
$string['desc'] = 'This is a plugin that allows you to export all data related to a course via an encrypted SQL dump file.';
$string['infomessage'] = 'Welcome to the AAT plugin, this plugin allows you to download records from courses in which you are
an instructor so they can be uploaded directly to the AAT website. Simply select one or more courses
from the list below and click the "Generate SQL Dump" button to download the SQL file.';
$string['generatedump'] = 'Generate SQL Dump';
$string['privacy:metadata'] = 'This plugin does not store any data. However, it does allow instructors to download course data
to be uploaded to the AAT website. The plugin searched the entire moodle database for data related to specific courses';
$string['nocourseselected'] = 'You have not selected any courses, please select at least one course';
$string['instructions_heading'] = 'Instructions:';
$string['instruction1'] = '1. Select the courses you want to export and click the \'Generate SQL Dump\' button';
$string['instruction2'] = '2. Once the file is generated, click the \'Download SQL Dump\' link to download the file to your computer. Take note of the file location.';
$string['instruction3'] = '3. Head over to the AAT website (link provided below) and log in using your credentials';
$string['instruction4'] = '4. Within the AAT website, navigate to the \'Data Source\' tab and click on the \'Upload\' button';
$string['instruction5'] = '5. Select \'Postgres\' as the vendor, type in a name for the database, and select the file that was downloaded in step 2. Click \'Save\' to complete the process.';
$string['final_note'] = 'You now should have access to the data within the AAT tool.';
$string['aat_link'] = '<a href="https://www.academicanalytics.ca/" target="_blank">https://www.academicanalytics.ca</a>';
$string['file_created'] = 'Your file was created, click the link below to download it';
$string['download_sql_dump'] = 'Download SQL Dump';
$string['go_back'] = 'Go back to course selection';
$string['invalidxml'] = 'Invalid XML generated during export';
$string['xmlfilenotcreated'] = 'Failed to create XML schema file';
$string['task_cleanup_temp_files'] = 'Clean up data dump SQL files from temp storage';
$string['filegenerationfailed'] = 'File generation failed. Please try again. (Make sure cron is running on server)';
$string['filegenerationpending'] = 'Your file is still being generated. Please wait a moment and click refresh.';
$string['selectcourses'] = 'Select courses';
$string['cleanup_task_complete'] = 'Cleanup task completed: deleted {$a} old temporary files';
$string['maxretries'] = 'Maximum retry attempts exceeded for file generation';
$string['invalidcontext'] = 'Invalid context';
$string['contextinitialization'] = 'Failed to initialize context';
$string['relatedtablesnotfound'] = 'Related tables data not found';
$string['unserializefailed'] = 'Failed to unserialize tables data';
